[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# IInterface

Basic interface for all COM based interfaces

## Declaration

Source position: objpash.inc line 265

`type IInterface = IUnknown;`

## Description

IInterface is the basic interface from which all COM style interfaces descend.

## See also

IDispatch |  | Dispatch interface
IInvokable |  | Interface with RTTI associated with it.